Skip to main content
PUT
/
accounts
/
{user_id}
/
numbers
/
{number}
const axios = require('axios');
const NumbersApiFp = require('@alohi/faxplus-api').NumbersApiFp;
const Configuration = require('@alohi/faxplus-api').Configuration;

const config = new Configuration({
    accessToken: accessToken,
    basePath: 'https://restapi.fax.plus/v3',
    // Header required only when using the OAuth2 token scheme
    baseOptions: {
        headers: {
          "x-fax-clientid": clientId,
        }
    }
});

async function updateNumber() {
    const reqParams = {
        "userId": '23415ufasx8df7',
        "number": '+123417543010',
        "payloadNumberModification": undefined
    }
    const req = await NumbersApiFp(config).updateNumber(reqParams);
    const resp = await req(axios);
}

updateNumber()
from faxplus import ApiClient, NumbersApi, PayloadNumberModification
from faxplus.configuration import Configuration

payload_number_modification = PayloadNumberModification()

conf = Configuration()
conf.access_token = access_token
# header_name and header_value required only when using the OAuth2 token scheme
api_client = ApiClient(header_name='x-fax-clientid', header_value=client_id, configuration=conf)
api = NumbersApi(api_client)
api.update_number(
    user_id='23415ufasx8df7',
    number='+123417543010',
    body=payload_number_modification
)
/**
 * Example below uses Apache HTTP Client 4 with Fluent API
 **/

Map<String, String> pathParams = new HashMap<>();
pathParams.put("user_id", "'23415ufasx8df7'");
pathParams.put("number", "'+123417543010'");

StrSubstitutor sub = new StrSubstitutor(values, "{", "}");
String url = sub.replace("https://restapi.fax.plus/v3/accounts/{user_id}/numbers/{number}");

String jsonBody = ...; // See request body example

String result = Request
    .Put(url)
     // The x-fax-clientid header is required only when using the OAuth2 token scheme
    .addHeader("x-fax-clientid", "YOUR CLIENT_ID")
    .addHeader("Content-Type", "'application/json'")
    .addHeader("Accept", "'application/json'")
    .addHeader("Authorization", "'Bearer {access-token}'")
    .bodyString(jsonBody, "application/json")
    .execute()
    .returnContent().asString();

System.out.println(result.toString());
package main

import (
       "bytes"
       "net/http"
)

func main() {

    headers := map[string][]string{
        // The x-fax-clientid header is required only when using the OAuth2 token scheme
        "Content-Type": []string{"application/json"},
        "Accept": []string{"application/json"},
        "Authorization": []string{"Bearer {access-token}"},
        "x-fax-clientid": []string{"YOUR CLIENT_ID"}
    }

    data := bytes.NewBuffer([]byte{jsonReq})
    req, err := http.NewRequest("PUT", "https://restapi.fax.plus/v3/accounts/{user_id}/numbers/{number}", data)
    req.Header = headers

    client := &http.Client{}
    resp, err := client.Do(req)
    // ...
}
<?php

require 'vendor/autoload.php';

$headers = array(
    'Accept' => 'application/json',
    'Authorization' => 'Bearer {access-token}',
    // The x-fax-clientid header is required only when using the OAuth2 token scheme
    'x-fax-clientid' => '{client ID}',
);

$client = new GuzzleHttp\Client();

// Define array of request body.
$request_body = ...;  // See request body example

try {
    $response = $client->request('PUT','https://restapi.fax.plus/v3/accounts/{user_id}/numbers/{number}', array(
        'headers' => $headers,
        'json' => $request_body,
        )
    );
    print_r($response->getBody()->getContents());
 }
 catch (GuzzleHttp\Exception\BadResponseException $e) {
    // handle exception or api errors.
    print_r($e->getMessage());
 }

 // ...
# You can also use wget
curl -X PUT https://restapi.fax.plus/v3/accounts/{user_id}/numbers/{number} \
  -H 'Content-Type: application/json'  \
  -H 'Accept: application/json'  \
  -H 'Authorization: Bearer {access-token}' \
  # The x-fax-clientid header is required only when using the OAuth2 token scheme
  -H 'x-fax-clientid: "YOUR CLIENT_ID"'
{
  "error": "invalid_user_id",
  "description": "Invalid user id given"
}
{
  "error": "internal_server_error",
  "description": "An unexpected error happened, please contact support"
}
const axios = require('axios');
const NumbersApiFp = require('@alohi/faxplus-api').NumbersApiFp;
const Configuration = require('@alohi/faxplus-api').Configuration;

const config = new Configuration({
    accessToken: accessToken,
    basePath: 'https://restapi.fax.plus/v3',
    // Header required only when using the OAuth2 token scheme
    baseOptions: {
        headers: {
          "x-fax-clientid": clientId,
        }
    }
});

async function updateNumber() {
    const reqParams = {
        "userId": '23415ufasx8df7',
        "number": '+123417543010',
        "payloadNumberModification": undefined
    }
    const req = await NumbersApiFp(config).updateNumber(reqParams);
    const resp = await req(axios);
}

updateNumber()
from faxplus import ApiClient, NumbersApi, PayloadNumberModification
from faxplus.configuration import Configuration

payload_number_modification = PayloadNumberModification()

conf = Configuration()
conf.access_token = access_token
# header_name and header_value required only when using the OAuth2 token scheme
api_client = ApiClient(header_name='x-fax-clientid', header_value=client_id, configuration=conf)
api = NumbersApi(api_client)
api.update_number(
    user_id='23415ufasx8df7',
    number='+123417543010',
    body=payload_number_modification
)
/**
 * Example below uses Apache HTTP Client 4 with Fluent API
 **/

Map<String, String> pathParams = new HashMap<>();
pathParams.put("user_id", "'23415ufasx8df7'");
pathParams.put("number", "'+123417543010'");

StrSubstitutor sub = new StrSubstitutor(values, "{", "}");
String url = sub.replace("https://restapi.fax.plus/v3/accounts/{user_id}/numbers/{number}");

String jsonBody = ...; // See request body example

String result = Request
    .Put(url)
     // The x-fax-clientid header is required only when using the OAuth2 token scheme
    .addHeader("x-fax-clientid", "YOUR CLIENT_ID")
    .addHeader("Content-Type", "'application/json'")
    .addHeader("Accept", "'application/json'")
    .addHeader("Authorization", "'Bearer {access-token}'")
    .bodyString(jsonBody, "application/json")
    .execute()
    .returnContent().asString();

System.out.println(result.toString());
package main

import (
       "bytes"
       "net/http"
)

func main() {

    headers := map[string][]string{
        // The x-fax-clientid header is required only when using the OAuth2 token scheme
        "Content-Type": []string{"application/json"},
        "Accept": []string{"application/json"},
        "Authorization": []string{"Bearer {access-token}"},
        "x-fax-clientid": []string{"YOUR CLIENT_ID"}
    }

    data := bytes.NewBuffer([]byte{jsonReq})
    req, err := http.NewRequest("PUT", "https://restapi.fax.plus/v3/accounts/{user_id}/numbers/{number}", data)
    req.Header = headers

    client := &http.Client{}
    resp, err := client.Do(req)
    // ...
}
<?php

require 'vendor/autoload.php';

$headers = array(
    'Accept' => 'application/json',
    'Authorization' => 'Bearer {access-token}',
    // The x-fax-clientid header is required only when using the OAuth2 token scheme
    'x-fax-clientid' => '{client ID}',
);

$client = new GuzzleHttp\Client();

// Define array of request body.
$request_body = ...;  // See request body example

try {
    $response = $client->request('PUT','https://restapi.fax.plus/v3/accounts/{user_id}/numbers/{number}', array(
        'headers' => $headers,
        'json' => $request_body,
        )
    );
    print_r($response->getBody()->getContents());
 }
 catch (GuzzleHttp\Exception\BadResponseException $e) {
    // handle exception or api errors.
    print_r($e->getMessage());
 }

 // ...
# You can also use wget
curl -X PUT https://restapi.fax.plus/v3/accounts/{user_id}/numbers/{number} \
  -H 'Content-Type: application/json'  \
  -H 'Accept: application/json'  \
  -H 'Authorization: Bearer {access-token}' \
  # The x-fax-clientid header is required only when using the OAuth2 token scheme
  -H 'x-fax-clientid: "YOUR CLIENT_ID"'

Authorizations

Authorization
string
header
required

OAuth2 Authorization Grant

Path Parameters

user_id
string
default:self
required

ID of the number owner. Use 'self' for your own account, or provide a specific user ID to assign to a corporate member.

number
string
required

Fax number to update

Body

application/json

Request object for making changes in number object

Number update model

assigned_to
string
required

User ID of the account to assign number to

Response

Assign an already purchased number to your members